Skip to content

Requests that a device be updated to the given firmware channel and or version​

POST
/devices/{id}/firmware/update

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

Device ID

Type
integer
Required

Request Body​

application/json
JSON
{
  
"availability": 0,
  
"build": "string",
  
"channel": "string"
}

Request example

Responses​

OK

application/json
JSON
{
  
"availability": 0,
  
"build": "string",
  
"channel": "string"
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value
Body